#!/bin/sh 
#
# Usage:
#	hifi.csh <exp> <nres>
#
#	where <exp> = hnco or hnca or hncoca or hncacb or cbcaconh
#	      <nres> = number or residues in the protein
#
# NOTE: THIS WILL ONLY WORK FOR BOTH VNMR AND VNMRJ
#

###############################################################
# IMPORTANT:
#           SET THE PATH TO ACTUAL HIFI LOCATION ON YOUR COMPUTER
LIBDIR='/banyo2/data/arash/hifi_unix'
#       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
###############################################################

HIFI=$1

LD_LIBRARY_PATH=$LIBDIR/v73/bin/glnx86:$LIBDIR/v73/runtime/glnx86:$LIBDIR/v73/sys/os/glnx86:$LIBDIR/v73/sys/java/jre/glnx86/jre1.5.0/lib/i386/native_threads:$LIBDIR/v73/sys/java/jre/glnx86/jre1.5.0/lib/i386/client:$LIBDIR/v73/sys/java/jre/glnx86/jre1.5.0/lib/i386 ; export LD_LIBRARY_PATH 

PATH=${PATH}:$LIBDIR ; export PATH

XAPPLRESDIR=$LIBDIR/v73/X11/app-defaults ; export XAPPLRESDIR

$HIFI $2
