#!/bin/csh -f

###########################################################
# IMPORTANT: set NMRBASE TO POINT TO THE DIRECTORY 
#            WHERE nmrPipe FOR LINUX IS INSTALLED
#
setenv NMRBASE         /banyo2/data/marco/nmrPipe.linux
#		       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
###########################################################

# NMRPipe I/O Optimization.
# These settings may improve NMRPipe pipeline performance:

setenv NMR_IO_TIMEOUT 0
setenv NMR_IO_SELECT  0
setenv NMR_AUTOSWAP   1

alias u      'chmod a+rx *.com *.tcl'

setenv NMRCHECK        ALL
setenv NMRTXT          $NMRBASE/nmrtxt
setenv NMRBIN          $NMRBASE/nmrbin.linux9
setenv TCLPATH         $NMRBASE/com
setenv TALOS_DIR       $NMRBASE/talos

setenv NMR_TCLTK8 TRUE

if ($?NMR_TCLTK8) then
   setenv NMRPIPE_TCL_LIB $NMRBASE/nmrtcl/tcl8.4
   setenv NMRPIPE_TK_LIB  $NMRBASE/nmrtcl/tk8.4
   setenv NMRPIPE_BLT_LIB $NMRBASE/nmrtcl/blt2.4z
else
   setenv NMRPIPE_TCL_LIB $NMRBASE/nmrtcl/tcl7.6
   setenv NMRPIPE_TK_LIB  $NMRBASE/nmrtcl/tk4.2
   setenv NMRPIPE_BLT_LIB $NMRBASE/nmrtcl/blt2.4
endif

set path = \
 (. $NMRBASE/nmrbin.linux9 $NMRBASE/com $path)
