#!/bin/csh

source /banyo2/data/arash/hifi/nmrpipe.csh

var2pipe -in ./$1/fid -noaswap \
  -xN		1366	-yN		128  \
  -xT		683	-yT		64  \
  -xMODE		Complex	-yMODE		Complex  \
  -xSW		8012.821	-ySW		12060.463  \
  -xOBS		599.445	-yOBS		150.736  \
  -xCAR		0.0	-yCAR		0.0  \
  -xLAB		H1	-yLAB		XXX  \
  -ndim		2	-aq2D		States  \
| nmrPipe  -fn POLY -time \
| nmrPipe  -fn SP -off 0.45 -end 0.98 -pow 2 -c 0.5 \
| nmrPipe  -fn ZF -size 2048 \
| nmrPipe  -fn FT \
| nmrPipe  -fn PS -p0 -232.5 -p1 -0.0 -di \
| nmrPipe  -fn EXT -x1 5.0ppm -xn 1.0ppm -sw -verb \
| nmrPipe  -fn TP \
| nmrPipe  -fn SP -off 0.45 -end 0.98 -pow 2 -c 1.0 \
| nmrPipe  -fn ZF -size 1024 \
| nmrPipe  -fn FT \
| nmrPipe  -fn PS -p0 -90.0 -p1 180.0 -di \
| nmrPipe  -fn POLY -auto -ord 0 \
| nmrPipe  -fn TP \
| nmrPipe  -fn POLY -auto \
   -verb -ov -out $2.ft2 
